Skip to main content
POST
/
connect
/
v1
/
operators
/
{operatorId}
/
webhook-subscriptions
/
{subscriptionId}
/
test
Send a test event
curl --request POST \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId}/webhook-subscriptions/{subscriptionId}/test \
  --header 'Authorization: Bearer <token>'
{
  "eventId": "<string>",
  "eventType": "<string>",
  "subscriptionId": "<string>",
  "queuedAt": "2023-11-07T05:31:56Z",
  "connectionId": "<string>"
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

subscriptionId
string
required

Response

200 - application/json

Test receipt.

eventId
string
required
eventType
string
required
subscriptionId
string
required
queuedAt
string<date-time>
required
connectionId
string